mlpack_preprocess_imputer(1)

NAME
mlpack_preprocess_imputer - impute data

SYNOPSIS
 mlpack_preprocess_imputer -i string -m string -s string [-c double] [-d int] [-V bool] [-o string] [-h -v]

DESCRIPTION
This utility takes a dataset and converts a user-defined missing variable to another to provide more meaningful analysis.

The program does not modify the original file, but instead makes a separate file to save the output data; You can save the output by specifying the file name with --output_file (-o).

For example, if we consider 'NULL' in dimension 0 to be a missing variable and want to delete whole row containing the NULL in the column-wise dataset, and save the result to result.csv, we could run

$ mlpack_preprocess_imputer -i dataset.csv -o result.csv -m NULL -d 0 > -s listwise_deletion

REQUIRED INPUT OPTIONS

--input_file (-i) [string]
    File containing data.

--missing_value (-m) [string]
    User defined missing value.

--strategy (-s) [string]
    imputation strategy to be applied. Strategies should be one of 'custom', 'mean', 'median', and 'listwise_deletion'.

OPTIONAL INPUT OPTIONS
--custom_value (-c) [double] User-defined custom imputation value. Default value 0.

--dimension (-d) [int]
    The dimension to apply imputation to. Default value 0.

--help (-h) [bool]
    Default help info.

--info [string]
    Print help on a specific option. Default value ''.

--verbose (-v) [bool]
    Display informational messages and the full list of parameters and timers at the end of execution.

--version (-V) [bool]
    Display the version of mlpack.

OPTIONAL OUTPUT OPTIONS

--output_file (-o) [string]
    File to save output into. Default value ''.nnADDITIONAL INFORMATIONNN FOR FURTHER INFORMATION, INCLUDING RELEVANT PAPERS, CITATIONS, AND THEORY, consult the documentation found at http://www.mlpack.org or included with your distribution of mlpack.